# Class SyncManager

java.lang.Object
jspecview.common.SyncManager

public class SyncManager extends Object

## Constructor Summary

Constructors
Constructor
Description
`SyncManager()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`syncFromJmol(JSViewer vwr, String peakScript)`
incoming script processing of invalid input: '<'PeakAssignment file="" type="xxx"...> record from Jmol

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SyncManager

public SyncManager()

## Method Details

### syncFromJmol

public static void syncFromJmol(JSViewer vwr, String peakScript)
incoming script processing of invalid input: '<'PeakAssignment file="" type="xxx"...> record from Jmol

Parameters:
  `vwr` -
  `peakScript` -